Subject: Re: Is skb->queue_mapping valid for received packets?

From: Ben Greear <[email-masked]>
Date: Mon, 13 Jun 2011 19:06:53 -0700

On 06/13/2011 06:59 PM, Ben Greear wrote:
>
> Anyone know if skb->queue_mapping is set for incoming packets, ie to
> notify which queue they came in on? I can't find it set anywhere,
> and it appears it is sometimes set to 1 when it should be 0 in
> my system.
>
> Maybe it's never actually set, and I'm just reading some stale
> data?

Bleh, found it the second I posted.

Seems it's skb_record_rx_queue(), and funny enough, it seems to add +1,
so if you are trying to bridge pkts from eth0 to eth1 on the same queues,
looks like you need to subtract one on xmit before finding the txqueue.

Or something like that.

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com